com.sun.grid.jgdi.configuration.xml

## Class IndentedPrintWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.PrintWriter
    - - com.sun.grid.jgdi.configuration.xml.IndentedPrintWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

      public class IndentedPrintWriter
      extends java.io.PrintWriter

  This class implements a PrintWriter with indentication

- - ### Field Summary

    - ### Fields inherited from class java.io.PrintWriter

      `out`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndentedPrintWriter(java.io.File file)` Creates a new IndentedPrintWriter on a File
    `IndentedPrintWriter(java.io.OutputStream out)` Create a new IndentedPrintWriter on an OutputStream
    `IndentedPrintWriter(java.io.Writer writer)` Creates a new IndentedPrintWriter on a Writer

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deindent()` remove an indent.
    `int` | `getIndentSize()`
    `void` | `indent()` add an indent.
    `void` | `print(boolean b)`
    `void` | `print(char c)`
    `void` | `print(char[] s)`
    `void` | `print(double d)`
    `void` | `print(float f)`
    `void` | `print(int i)`
    `void` | `print(long l)`
    `void` | `print(java.lang.Object obj)`
    `void` | `print(java.lang.String s)`
    `void` | `println()`
    `void` | `println(boolean x)`
    `void` | `println(char x)`
    `void` | `println(char[] x)`
    `void` | `println(double x)`
    `void` | `println(float x)`
    `void` | `println(int x)`
    `void` | `println(long x)`
    `void` | `println(java.lang.Object x)`
    `void` | `println(java.lang.String x)`
    `void` | `setIndentSize(int indentSize)`

    - ### Methods inherited from class java.io.PrintWriter

      `append, append, append, checkError, clearError, close, flush, format, format, printf, printf, setError, write, write, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndentedPrintWriter

          public IndentedPrintWriter(java.io.OutputStream out)

      Create a new IndentedPrintWriter on an OutputStream
      Parameters:
        `out` - the output stream

    - #### IndentedPrintWriter

          public IndentedPrintWriter(java.io.Writer writer)

      Creates a new IndentedPrintWriter on a Writer
      Parameters:
        `writer` - the writer

    - #### IndentedPrintWriter

          public IndentedPrintWriter(java.io.File file)
                              throws java.io.IOException

      Creates a new IndentedPrintWriter on a File
      Parameters:
        `file` - the file
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### indent

          public void indent()

      add an indent.

    - #### deindent

          public void deindent()

      remove an indent.

    - #### println

          public void println(java.lang.String x)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### print

          public void print(java.lang.String s)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### println

          public void println(java.lang.Object x)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### print

          public void print(java.lang.Object obj)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### println

          public void println(int x)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### print

          public void print(int i)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### print

          public void print(boolean b)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### println

          public void println(boolean x)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println(long x)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### print

          public void print(long l)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### println

          public void println(double x)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### println

          public void println(char[] x)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### print

          public void print(char[] s)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### print

          public void print(double d)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### println

          public void println(char x)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### print

          public void print(char c)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### println

          public void println(float x)

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### print

          public void print(float f)

      Overrides:
        `print` in class `java.io.PrintWriter`

    - #### println

          public void println()

      Overrides:
        `println` in class `java.io.PrintWriter`

    - #### getIndentSize

          public int getIndentSize()

    - #### setIndentSize

          public void setIndentSize(int indentSize)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.